package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicMedicalType {
    public static final String HOSPITAL = "医院";
    public static final String REHABILITATION = "康复中心";
    public static final String COMMUNITY_CLINICS = "社区诊所";
    public static final String SPECIALIST_CLINIC = "专科门诊";

    private static DicMedicalType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicMedicalType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(HOSPITAL, HOSPITAL);
        dicMap.put(REHABILITATION, REHABILITATION);
        dicMap.put(COMMUNITY_CLINICS, COMMUNITY_CLINICS);
        dicMap.put(SPECIALIST_CLINIC, SPECIALIST_CLINIC);
    }

    public static DicMedicalType getInstacne(){
        if (instance == null)
        {
            instance = new DicMedicalType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
